DynamicJava Javadoc: Class NodeProperties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter
Class NodeProperties

    java.lang.Object
      |
      +--koala.dynamicjava.interpreter.NodeProperties

public class NodeProperties
extends java.lang.Object

This interface contains the names of the syntax tree properties defined by the interpretative kernel

Field Summary
`static java.lang.String` | `COMPONENT_TYPE` The componentType property is defined for each array allocation.
`static java.lang.String` | `CONSTRUCTOR` The constructor property is defined for constructor call It contains a Constructor object
`static java.lang.String` | `ERROR_STRINGS` The errorStrings property contains an array of additional messages
`static java.lang.String` | `FIELD` The field property is defined for field access node It contains a Field object
`static java.lang.String` | `FUNCTION` The function property is defined for function access node It contains a MethodDeclaration object
`static java.lang.String` | `FUNCTIONS` The functions property is defined for function access node It contains a List object
`static java.lang.String` | `IMPORTATION_MANAGER` The importation manager property
`static java.lang.String` | `INNER_ALLOCATION` The innerClass property
`static java.lang.String` | `INSTANCE_INITIALIZER` The instanceInitializer property
`static java.lang.String` | `METHOD` The method property is defined for method access node It contains a Method object
`static java.lang.String` | `MODIFIER` The modifier property is defined for each variable.
`static java.lang.String` | `OUTER_INNER_ALLOCATION` The outerInnerClass property
`static java.lang.String` | `TYPE` The type property is defined for each expression It contains a Class object
`static java.lang.String` | `VALUE` The value property is defined for each constant expression.
`static java.lang.String` | `VARIABLES` The variables property is defined for each node where a new scope is entered.

Constructor Summary
`protected` | `NodeProperties()` This class contains only static method and constants, so it is not useful to create instances of it.

Method Summary
`static ClassInfo` | `getClassInfo(Node n)` Returns the type property of a node when it is a class info
`static java.lang.Class` | `getComponentType(Node n)` Returns the type property of a node
`static LeftHandSideModifier` | `getModifier(Node n)` Returns the modifier property of a node
`static java.lang.Class` | `getType(Node n)` Returns the type property of a node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The componentType property is defined for each array allocation. It contains a Class object.

### CONSTRUCTOR

    public static final java.lang.String CONSTRUCTOR

  The constructor property is defined for constructor call It contains a Constructor object

### FIELD

    public static final java.lang.String FIELD

  The field property is defined for field access node It contains a Field object

### METHOD

    public static final java.lang.String METHOD

  The method property is defined for method access node It contains a Method object

### FUNCTION

    public static final java.lang.String FUNCTION

  The function property is defined for function access node It contains a MethodDeclaration object

### FUNCTIONS

    public static final java.lang.String FUNCTIONS

  The functions property is defined for function access node It contains a List object

### MODIFIER

    public static final java.lang.String MODIFIER

  The modifier property is defined for each variable. It contains a LeftHandSideModifier object.

### TYPE

    public static final java.lang.String TYPE

  The type property is defined for each expression It contains a Class object

### VARIABLES

    public static final java.lang.String VARIABLES

  The variables property is defined for each node where a new scope is entered. It contains a set of strings.

### VALUE

    public static final java.lang.String VALUE

  The value property is defined for each constant expression. It contains a java object.

### INNER_ALLOCATION

    public static final java.lang.String INNER_ALLOCATION

  The innerClass property

### OUTER_INNER_ALLOCATION

    public static final java.lang.String OUTER_INNER_ALLOCATION

  The outerInnerClass property

### IMPORTATION_MANAGER

    public static final java.lang.String IMPORTATION_MANAGER

  The importation manager property

### INSTANCE_INITIALIZER

    public static final java.lang.String INSTANCE_INITIALIZER

  The instanceInitializer property

### ERROR_STRINGS

    public static final java.lang.String ERROR_STRINGS

  The errorStrings property contains an array of additional messages

Constructor Detail

### NodeProperties

    protected NodeProperties()

  This class contains only static method and constants, so it is not useful to create instances of it.

Method Detail

### getComponentType

    public static java.lang.Class getComponentType(Node n)

  Returns the type property of a node

### getModifier

    public static LeftHandSideModifier getModifier(Node n)

  Returns the modifier property of a node

### getType

    public static java.lang.Class getType(Node n)

  Returns the type property of a node

### getClassInfo

    public static ClassInfo getClassInfo(Node n)

  Returns the type property of a node when it is a class info

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.